haproxy

Description:A TCP/HTTP reverse proxy for high availability environments
License: GPL-2, LGPL-2.1
Homepage:http://www.haproxy.org
Location:Portage
Legend:
  • + - stable
  • ~ - unstable
  • M - hardmask
alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86
2.0.9999 diff - - - - - - - - - - - - -
2.0.4 diff - ~ ~ - - - - ~ - - - - ~
2.0.3 diff - ~ ~ - - - - ~ - - - - ~
1.9.9999 diff - - - - - - - - - - - - -
1.9.10 diff - ~ ~ - - - - ~ - - - - ~
1.9.9 diff - ~ ~ - - - - ~ - - - - ~
1.8.20 diff - ~ ~ - - - - ~ - - - - ~
1.8.19 diff - ~ ~ - - - - ~ - - - - ~
1.8.13 diff - + + - - - - ~ - - - - +
1.8.9 diff - + + - - - - + - - - - +
1.7.11 diff - ~ ~ - - - - ~ - - - - ~
1.7.10 diff - + + - - - - + - - - - +
1.6.14 diff - ~ ~ - - - - ~ - - - - ~
1.6.11-r2 - + + - - - - + - - - - +

USE flags

  • 51degrees - Device Detection using 51 Degrees
  • crypt - Add support for encryption -- using mcrypt or gpg where applicable
  • device-atlas - Use dev-libs/device-atlas-api-c library
  • doc - Add extra documentation (API, Javadoc, etc). It is recommended to enable per package instead of globally
  • examples - Install examples, usually source code
  • kernel_linux - KERNEL setting for system using the Linux kernel
  • libressl - Use dev-libs/libressl instead of dev-libs/openssl when applicable (see also the ssl useflag)
  • lua - Enable Lua scripting support
  • net_ns - Enable network namespace support (CONFIG_NET_NS)
  • pcre - Add support for Perl Compatible Regular Expressions
  • pcre-jit - Use JIT support for PCRE
  • pcre2 - Enable PCRE2 RegEx support
  • pcre2-jit - Use JIT support for PCRE2
  • prometheus-exporter - Also build the prometheus exporter
  • slz - Use dev-libs/libslz compression library
  • ssl - Add support for SSL/TLS connections (Secure Socket Layer / Transport Layer Security)
  • systemd - Enable use of systemd-specific libraries and features like socket activation or session tracking
  • threads - Add threads support for various packages. Usually pthreads
  • tools - Install additional tools (halog, iprange)
  • vim-syntax - Pulls in related vim syntax scripts
  • wurfl - Device Detection using WURFL
  • zlib - Add support for zlib (de)compression

Security Advisory

Date Severity Title
about 6 years high HAProxy: Multiple vulnerabilities
over 6 years high HAProxy: Arbitrary code execution

Also available in: Atom

Thank you!